libjpeg-static-devel-1.3.1-4.2.mga5.i586.rpm


Advertisement

Description

libjpeg-static-devel - Static libraries for programs which will use the libjpeg library

Property Value
Distribution Mageia 5.1
Repository Mageia Core Updates i586
Package name libjpeg-static-devel
Package version 1.3.1
Package release 4.2.mga5
Package architecture i586
Package type rpm
Installed size 3.64 MB
Download size 437.62 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
The libjpeg-devel package includes the static librariesnecessary for
developing programs which will manipulate JPEG files using
the libjpeg library.
If you are going to develop programs which will manipulate JPEG images,
you should install libjpeg-devel.  You'll also need to have the libjpeg
package installed.

Alternatives

Package Version Architecture Repository
libjpeg-static-devel-1.3.1-4.3.mga5.i586.rpm 1.3.1 i586 Mageia Core Updates
libjpeg-static-devel-1.3.1-4.1.mga5.i586.rpm 1.3.1 i586 Mageia Core Updates
libjpeg-static-devel-1.3.1-4.mga5.i586.rpm 1.3.1 i586 Mageia Core
libjpeg-static-devel - - -

Requires

Name Value
libjpeg-devel == 1:1.3.1-4.2.mga5

Provides

Name Value
jpeg-static-devel == 1:1.3.1-4.2.mga5
jpeg8-static-devel == 1:1.3.1-4.2.mga5
libjpeg-static-devel == 1:1.3.1-4.2.mga5
libjpeg-static-devel(x86-32) == 1:1.3.1-4.2.mga5

Conflicts

Name Value
jpeg6-static-devel -

Obsoletes

Name Value
libjpeg62-static-devel < 6b-45
libjpeg7-static-devel < 7-3

Download

Type URL
Binary Package libjpeg-static-devel-1.3.1-4.2.mga5.i586.rpm
Source Package libjpeg-1.3.1-4.2.mga5.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libjpeg-static-devel rpm package:
    # urpmi libjpeg-static-devel

Files

Path
/usr/lib/libjpeg.a
/usr/lib/libturbojpeg.a

Changelog

2017-11-06 - ns80 <ns80> 1:1.3.1-4.2.mga5
+ Revision: 1176159
- add upstream patch for CVE-2017-15232 (mga#21974)
+ luigiwalser <luigiwalser>
- add upstream patches to fix security issues found by Mozilla
2014-12-15 - luigiwalser <luigiwalser> 1:1.3.1-4.mga5
+ Revision: 803252
- add patch from opensuse to fix CVE-2014-9092

See Also

Package Description
libjpeg62-1.3.1-4.1.mga5.i586.rpm A MMX/SSE2 accelerated library for manipulating JPEG image files
libjpeg62-1.3.1-4.2.mga5.i586.rpm A MMX/SSE2 accelerated library for manipulating JPEG image files
libjpeg62-1.3.1-4.3.mga5.i586.rpm A MMX/SSE2 accelerated library for manipulating JPEG image files
libjpeg8-1.3.1-4.1.mga5.i586.rpm A MMX/SSE2 accelerated library for manipulating JPEG image files
libjpeg8-1.3.1-4.2.mga5.i586.rpm A MMX/SSE2 accelerated library for manipulating JPEG image files
libjpeg8-1.3.1-4.3.mga5.i586.rpm A MMX/SSE2 accelerated library for manipulating JPEG image files
libjsoncpp-devel-1.6.5-1.mga5.i586.rpm Development files for jsoncpp
libjsoncpp0-1.6.5-1.mga5.i586.rpm JsonCpp library
libkabc4-4.14.10-2.1.mga5.i586.rpm KDE 4 core library
libkabc4-4.14.10-2.2.mga5.i586.rpm KDE 4 core library
libkabc_file_core4-4.14.10-2.1.mga5.i586.rpm KDE 4 core library
libkabc_file_core4-4.14.10-2.2.mga5.i586.rpm KDE 4 core library
libkaddressbookgrantlee4-4.14.10-1.3.mga5.i586.rpm Library providing grantlee theme editor support
libkaddressbookprivate4-4.14.10-1.3.mga5.i586.rpm KaddressBook library
libkalarmcal2-4.14.10-2.1.mga5.i586.rpm KDE 4 core library
Advertisement
Advertisement